%--------------------------------------------------------------------------
% 
% preflyr.m -- 
% 
% Author          : Jaccard Pierre
% Created On      : 2000/08/25 13:33:05
% Last Modified By: Jaccard Pierre
% Last Modified On: 2000/08/25 13:36:39
% Directory       : /home1/jaccard/data/CODAS/NUKA/2000/AN-0708/adcp/nav/
% ----------------------------------------------------------------------- +
% VERSION CONTROL: 
% 
%   $Author$
%   $Date$
%   $Id$
%   $Name$
%   $Revision$
%   $State$
%   $Log$
% 
%--------------------------------------------------------------------------

year_base = 2000;

file = '0026.nav';
str = '';

velocity_unit = '(cm/s)';

cruise = 'HMosby - 0026';
note = '2000-0026 ';
psfile = 'preflyr.ps';
new_ps = 1;

%------------------------------------------------------------------
% No more editing!!!

%--- Delete ps file:
if exist(psfile, 'file') & new_ps,
   delete(psfile);
end

%--- Choose what to do:
if exist('file_1', 'var') & exist('file_2', 'var'),
	if ~exist('str_1', 'var'),
		str_1 = '';
	end
	if ~exist('str_2', 'var'),
		str_2 = '';
	end
	preflyr2(file_1, str_1, file_2, str_2, psfile, ...
			velocity_unit, year_base, cruise, note);
elseif exist('file', 'var'),
	preflyr1(file, psfile, velocity_unit, year_base, cruise, note);
elseif exist('file_1', 'var'),
	preflyr1(file_1, psfile, velocity_unit, year_base, cruise, note);
elseif exist('file_2', 'var'),
	preflyr1(file_2, psfile, velocity_unit, year_base, cruise, note);
else
	error([ 'Missing input file' ]);
end
		


